---
title: Microsoft API extensions
slug: Web/API/Microsoft_Extensions
tags:
  - API
  - 'API:Microsoft Extensions'
  - Non-standard
  - Overview
  - Reference
---
<div>{{DefaultAPISidebar("Microsoft Extensions")}}</div>

<p>Microsoft browsers (Internet Explorer, and in a few cases, Microsoft Edge) support a number of special Microsoft extensions to the otherwise standard <a href="/en-US/docs/Web/API">DOM APIs</a>. These extensions are prefixed with <code>MS</code> or <code>ms</code>.</p>

<div class="note">
<p><strong>Note:</strong> These APIs will only work in Microsoft applications, and are not on a standards track.</p>
</div>

<h2 id="Touch_APIs">Touch APIs</h2>

<div class="index">
<ul>
	<li>{{DOMxRef("Element.msZoomTo()")}}</li>
	<li>{{Event("msContentZoom")}}</li>
	<li>{{DOMxRef("MSManipulationEvent")}}</li>
	<li>{{Event("MSManipulationStateChanged")}}</li>
	<li>{{DOMxRef("msManipulationViewsEnabled")}}</li>
	<li>{{Event("MSPointerHover")}} {{Deprecated_Inline}}</li>
</ul>
</div>

<h2 id="Media_APIs">Media APIs</h2>

<div class="index">
<ul>
	<li>{{DOMxRef("HTMLVideoElement.msFrameStep()")}}</li>
	<li>{{DOMxRef("HTMLVideoElement.msHorizontalMirror")}}</li>
	<li>{{DOMxRef("HTMLVideoElement.msInsertVideoEffect()")}}</li>
	<li>{{DOMxRef("HTMLVideoElement.msIsLayoutOptimalForPlayback")}}</li>
	<li>{{DOMxRef("HTMLVideoElement.msIsStereo3D")}}</li>
	<li>{{DOMxRef("HTMLVideoElement.msZoom")}}</li>
	<li>{{DOMxRef("HTMLAudioElement.msAudioCategory")}}</li>
	<li>{{DOMxRef("HTMLAudioElement.msAudioDeviceType")}}</li>
	<li>{{DOMxRef("HTMLMediaElement.msClearEffects()")}}</li>
	<li>{{DOMxRef("HTMLMediaElement.msInsertAudioEffect()")}}</li>
	<li>{{DOMxRef("MediaError.msExtendedCode")}}</li>
	<li>{{DOMxRef("MSGraphicsTrust")}}</li>
	<li>{{DOMxRef("msGraphicsTrustStatus")}}</li>
	<li>{{DOMxRef("msIsBoxed")}}</li>
	<li>{{DOMxRef("msPlayToDisabled")}}</li>
	<li>{{DOMxRef("msPlayToPreferredSourceUri")}}</li>
	<li>{{DOMxRef("msPlayToPrimary")}}</li>
	<li>{{DOMxRef("msPlayToSource")}}</li>
	<li>{{DOMxRef("msRealTime")}}</li>
	<li>{{DOMxRef("msSetMediaProtectionManager")}}</li>
	<li>{{DOMxRef("msSetVideoRectangle")}}</li>
	<li>{{DOMxRef("msStereo3DPackingMode")}}</li>
	<li>{{DOMxRef("msStereo3DRenderMode")}}</li>
	<li>{{DOMxRef("onMSVideoFormatChanged")}}</li>
	<li>{{DOMxRef("onMSVideoFrameStepCompleted")}}</li>
	<li>{{DOMxRef("onMSVideoOptimalLayoutChanged")}}</li>
	<li>{{DOMxRef("msFirstPaint")}}</li>
</ul>
</div>

<h2 id="Pinned_Sites_APIs">Pinned Sites APIs</h2>

<div class="index">
<ul>
	<li>{{DOMxRef("MSSiteModeEvent")}}</li>
	<li>{{DOMxRef("mssitemodejumplistitemremoved")}}</li>
	<li>{{DOMxRef("msthumbnailclick")}}</li>
</ul>
</div>

<h2 id="Other_APIs">Other APIs</h2>

<div class="index">
<ul>
	<li><code><a href="/en-US/docs/Web/Accessibility/ARIA/ARIA_Techniques/x-ms-aria-flowfrom">x-ms-aria-flowfrom</a></code></li>
	<li><code><a href="/en-US/docs/Web/HTML/Global_attributes/x-ms-acceleratorkey">x-ms-acceleratorkey</a></code></li>
	<li><code><a href="/en-US/docs/Web/HTML/Global_attributes/x-ms-format-detection">x-ms-format-detection</a></code></li>
	<li>{{DOMxRef("msCaching")}}</li>
	<li>{{DOMxRef("msCachingEnabled")}}</li>
	<li>{{DOMxRef("msCapsLockWarningOff")}}</li>
	<li>{{DOMxRef("Event.msConvertURL()")}}</li>
	<li>{{DOMxRef("mselementresize")}}</li>
	<li>{{DOMxRef("DocumentOrShadowRoot.msElementsFromRect()", "Document.msElementsFromRect()")}}</li>
	<li>{{DOMxRef("msIsStaticHTML")}}</li>
	<li>{{DOMxRef("Navigator.msLaunchUri()")}}</li>
	<li>{{DOMxRef("msLaunchUriCallback")}}</li>
	<li>{{DOMxRef("Element.msMatchesSelector()")}} {{Deprecated_Inline}}</li>
	<li>{{DOMxRef("msProtocols")}}</li>
	<li>{{DOMxRef("msPutPropertyEnabled")}}</li>
	<li>{{DOMxRef("msWriteProfilerMark")}}</li>
</ul>
</div>

<h2 id="See_also">See also</h2>

<ul>
	<li><a href="/en-US/docs/Web/CSS/Microsoft_Extensions">Microsoft CSS extensions</a></li>
	<li><a href="/en-US/docs/Web/JavaScript/Microsoft_JavaScript_extensions">Microsoft JavaScript extensions</a></li>
</ul>
